package conf


type KafkaConf struct {
	Broker []string
	Topic  string
	Group  string
}

func HealthTopic() KafkaConf {
	return KafkaConf{
		GlobalConfig.Kafka.Brokers,
		"quantGroup.tech.enoch.pro",
		"quantGroup-enoch-agent"}
}

func BraveTopic() KafkaConf {
	return KafkaConf{
		GlobalConfig.Kafka.Brokers,
		"quantGroup.tech.brave.pro",
		"enoch-group"}
}
